## org.gnu.gtk
Class IMContext

    java.lang.Object
      org.gnu.glib.GObject
          org.gnu.gtk.IMContext

Direct Known Subclasses:
  IMContextSimple, IMMulticontext

public class IMContext
extends GObject

Field Summary

Fields inherited from class org.gnu.glib.GObject
`eventsInitialized`

Constructor Summary
`IMContext(Handle handle)`

Method Summary
`void` `focusIn()`
`void` `focusOut()`
`static Type` `getType()` Retrieve the runtime type used by the GLib library.
`protected static boolean` `gtk_im_context_delete_surrounding(Handle context, int offset, int numChars)`
`protected static boolean` `gtk_im_context_filter_keypress(Handle context, Handle event)`
`protected static void` `gtk_im_context_focus_in(Handle context)`
`protected static void` `gtk_im_context_focus_out(Handle context)`
`protected static void` `gtk_im_context_get_preedit_string(Handle context, java.lang.String[] str, int[] attrs, int[] cursorPos)`
`protected static boolean` `gtk_im_context_get_surrounding(Handle context, java.lang.String[] text, int[] cursorIndex)`
`protected static int` `gtk_im_context_get_type()`
`protected static void` `gtk_im_context_reset(Handle context)`
`protected static void` `gtk_im_context_set_client_window(Handle context, Handle window)`
`protected static void` `gtk_im_context_set_cursor_location(Handle context, Handle area)`
`protected static void` `gtk_im_context_set_surrounding(Handle context, java.lang.String text, int len, int cursorIndex)`
`protected static void` `gtk_im_context_set_use_preedit(Handle context, boolean usePreedit)`
`void` `reset()`
`void` `setClientWindow(Window window)` Sets the client window for the input context.
`void` `setCursorLocation(Rectangle rect)`
`void` `setUsePreedit(boolean usePreedit)`

Methods inherited from class org.gnu.glib.GObject

`addEventHandler, addEventHandler, addEventHandler, addEventHandler, addEventHandler, addEventHandler, addListener, equals, freezeNotify, getBooleanProperty, getData, getData, getDoubleProperty, getEventListenerClass, getEventType, getFloatProperty, getGObjectFromHandle, getHandle, getIntFromHandle, getIntProperty, getJavaObjectProperty, getLongProperty, getNullHandle, getPixbufProperty, getProperty, getStringFromHandle, getStringProperty, hashCode, hasProperty, instantiateJGObjectFromGType, notify, removeEventHandler, removeListener, retrieveGObject, setBooleanProperty, setData, setData, setDoubleProperty, setFloatProperty, setHandle, setIntProperty, setJavaObjectProperty, setLongProperty, setPixbufProperty, setProperty, setStringProperty, thawNotify`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### IMContext

    public IMContext(Handle handle)

Method Detail

### setClientWindow

    public void setClientWindow(Window window)

  Sets the client window for the input context.

### getType

    public static Type getType()

  Retrieve the runtime type used by the GLib library.

### focusIn

    public void focusIn()

### focusOut

    public void focusOut()

### reset

    public void reset()

### setCursorLocation

    public void setCursorLocation(Rectangle rect)

### setUsePreedit

    public void setUsePreedit(boolean usePreedit)

### gtk_im_context_get_type

    protected static final int gtk_im_context_get_type()

### gtk_im_context_set_client_window

    protected static final void gtk_im_context_set_client_window(Handle context,
                                                                 Handle window)

### gtk_im_context_get_preedit_string

    protected static final void gtk_im_context_get_preedit_string(Handle context,
                                                                  java.lang.String[] str,
                                                                  int[] attrs,
                                                                  int[] cursorPos)

### gtk_im_context_filter_keypress

    protected static final boolean gtk_im_context_filter_keypress(Handle context,
                                                                  Handle event)

### gtk_im_context_focus_in

    protected static final void gtk_im_context_focus_in(Handle context)

### gtk_im_context_focus_out

    protected static final void gtk_im_context_focus_out(Handle context)

### gtk_im_context_reset

    protected static final void gtk_im_context_reset(Handle context)

### gtk_im_context_set_cursor_location

    protected static final void gtk_im_context_set_cursor_location(Handle context,
                                                                   Handle area)

### gtk_im_context_set_use_preedit

    protected static final void gtk_im_context_set_use_preedit(Handle context,
                                                               boolean usePreedit)

### gtk_im_context_set_surrounding

    protected static final void gtk_im_context_set_surrounding(Handle context,
                                                               java.lang.String text,
                                                               int len,
                                                               int cursorIndex)

### gtk_im_context_get_surrounding

    protected static final boolean gtk_im_context_get_surrounding(Handle context,
                                                                  java.lang.String[] text,
                                                                  int[] cursorIndex)

### gtk_im_context_delete_surrounding

    protected static final boolean gtk_im_context_delete_surrounding(Handle context,
                                                                     int offset,
                                                                     int numChars)